Skip to page content

Send SMS campaign

Send the same SMS to multiple recipients, immediately or at a scheduled time in UTC.

POSThttps://api.quantumtec.eu/v1/sms/bulk

POST: X-ApiKey headerAuthentication

Request body

Request body
ParameterDescription
fromstringrequiredSender name.
textstringrequiredMessage text for all recipients.
recipientsarrayrequiredRecipients of the campaign.
recipients[].tostringrequiredRecipient phone number, including the country code.
recipients[].messageIdstringoptionalYour message ID. Assigned automatically when omitted.
bulkIdstringoptionalYour campaign ID. Assigned automatically when omitted.
startTimestringoptionalStart time in UTC, for example 2026-09-15T10:00:00.000Z. Starts immediately when omitted.
cURL · POST
curl --request POST 'https://api.quantumtec.eu/v1/sms/bulk' \
  --header 'X-ApiKey: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --data '{
  "from": "INFO",
  "text": "Test message",
  "recipients": [
    {
      "to": "37250000000"
    },
    {
      "to": "37250000001"
    }
  ]
}'

Response

Save bulkId to retrieve delivery reports or message IDs for this campaign.

Response
ParameterDescription
bulkIdstringCampaign identifier.
JSON response
{
  "bulkId": "1545e7e0-ad73-1f42-831a-5345bd11d5b4"
}